Bug 233700 - devel/upnp: Level up port compliance, Take MAINTAINER'ship
Summary: devel/upnp: Level up port compliance, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2018-12-01 20:31 UTC by Lorenzo Salvadore
Modified: 2018-12-22 16:30 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
upnp adoption patch, without PORTREVISION bump (1.36 KB, patch)
2018-12-01 20:31 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff
upnp adoption patch, with PORTREVISON bump (correction 1) (1.45 KB, patch)
2018-12-03 11:30 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore 2018-12-01 20:31:12 UTC
Created attachment 199724 [details]
upnp adoption patch, without PORTREVISION bump

I would like to take MAINTAINER'ship for this port.

- Sets MAINTAINER to my e-mail address.
- Reorders USES and USE_LDCONFIG lines consistently with the standard ordering.
- Transforms OPT_CONFIGURE_ON/OFF into OPT_CONFIGURE_ENABLE or OPT_CONFIGURE_WITH.

I tested successfully with portlint and poudriere (11.2-RELEASE-p5 i386/amd64).
Comment 1 Lorenzo Salvadore 2018-12-03 11:30:28 UTC
Created attachment 199792 [details]
upnp adoption patch, with PORTREVISON bump (correction 1)

- Bumps PORTREVISION, as it is needed for the MAINTAINER change.
Comment 2 Lorenzo Salvadore 2018-12-06 11:38:50 UTC
It is unclear if PORTREVISION should be bumped or not.
On one hand, the package changes because of the MAINTAINER modification, but on the other hand the patch does not changes the functionality of the package while the bump enforces a rebuild (and also might enforce many rebuilds on poudriere).

Hence I propose both the patches with and without the PORTREVISION bump. The committer will be able to choose the right one.
Comment 3 Lorenzo Salvadore 2018-12-13 15:01:35 UTC
Now tested successfully with poudriere on 12-RELEASE i386/amd64 also.
Comment 4 Kurt Jaeger freebsd_committer 2018-12-22 16:30:34 UTC
Committed, thanks. Please note: Upstream has 1.8.4.
Comment 5 commit-hook freebsd_committer 2018-12-22 16:30:58 UTC
A commit references this bug:

Author: pi
Date: Sat Dec 22 16:30:20 UTC 2018
New revision: 488101
URL: https://svnweb.freebsd.org/changeset/ports/488101

Log:
  devel/upnp: submitter becomes maintainer, reorder lines to silence portlint

  - Sets MAINTAINER to submitter e-mail address.
  - Reorders USES and USE_LDCONFIG lines consistently with the standard
    ordering.
  - Transforms OPT_CONFIGURE_ON/OFF into OPT_CONFIGURE_ENABLE
    or OPT_CONFIGURE_WITH.

  PR:		233700
  Submitted by:	Lorenzo Salvadore <phascolarctos@protonmail.ch>

Changes:
  head/devel/upnp/Makefile